std::condition_variable_any Class Reference
Concurrency » Condition Variables

`#include <condition_variable>`

## Public Member Functions

| condition_variable_any (const condition_variable_any &)=delete
void | notify_all () noexcept
void | notify_one () noexcept
condition_variable_any & | operator= (const condition_variable_any &)=delete
template<typename _Lock >
void | wait (_Lock &__lock)
template<typename _Lock , typename _Predicate >
void | wait (_Lock &__lock, _Predicate __p)
template<class _Lock , class _Predicate >
bool | wait (_Lock &__lock, stop_token __stoken, _Predicate __p)
template<typename _Lock , typename _Rep , typename _Period >
cv_status | wait_for (_Lock &__lock, const chrono::duration< _Rep, _Period > &__rtime)
template<typename _Lock , typename _Rep , typename _Period , typename _Predicate >
bool | wait_for (_Lock &__lock, const chrono::duration< _Rep, _Period > &__rtime, _Predicate __p)
template<class _Lock , class _Rep , class _Period , class _Predicate >
bool | wait_for (_Lock &__lock, stop_token __stoken, const chrono::duration< _Rep, _Period > &__rel_time, _Predicate __p)
template<typename _Lock , typename _Clock , typename _Duration >
cv_status | wait_until (_Lock &__lock, const chrono::time_point< _Clock, _Duration > &__atime)
template<typename _Lock , typename _Clock , typename _Duration , typename _Predicate >
bool | wait_until (_Lock &__lock, const chrono::time_point< _Clock, _Duration > &__atime, _Predicate __p)
template<class _Lock , class _Clock , class _Duration , class _Predicate >
bool | wait_until (_Lock &__lock, stop_token __stoken, const chrono::time_point< _Clock, _Duration > &__abs_time, _Predicate __p)

## Detailed Description

condition_variable_any

Definition at line 244 of file condition_variable.

## Constructor & Destructor Documentation

## condition_variable_any()

std::condition_variable_any::condition_variable_any | ( |  | ) |

inline

Definition at line 285 of file condition_variable.

## Member Function Documentation

## notify_all()

void std::condition_variable_any::notify_all | ( |  | ) |

inline noexcept

Definition at line 299 of file condition_variable.

## notify_one()

void std::condition_variable_any::notify_one | ( |  | ) |

inline noexcept

Definition at line 292 of file condition_variable.

## wait() [1/3]

template<typename _Lock >

void std::condition_variable_any::wait | ( | _Lock & | __lock | ) |

inline

Definition at line 307 of file condition_variable.

## wait() [2/3]

template<typename _Lock , typename _Predicate >

void std::condition_variable_any::wait | ( | _Lock & | __lock,
|  | _Predicate | __p
| ) |  |

inline

Definition at line 321 of file condition_variable.

## wait() [3/3]

template<class _Lock , class _Predicate >

bool std::condition_variable_any::wait | ( | _Lock & | __lock,
|  | stop_token | __stoken,
|  | _Predicate | __p
| ) |  |

inline

Definition at line 368 of file condition_variable.

## wait_for() [1/3]

template<typename _Lock , typename _Rep , typename _Period >

cv_status std::condition_variable_any::wait_for | ( | _Lock & | __lock,
|  | const chrono::duration< _Rep, _Period > & | __rtime
| ) |  |

inline

Definition at line 356 of file condition_variable.

## wait_for() [2/3]

template<typename _Lock , typename _Rep , typename _Period , typename _Predicate >

bool std::condition_variable_any::wait_for | ( | _Lock & | __lock,
|  | const chrono::duration< _Rep, _Period > & | __rtime,
|  | _Predicate | __p
| ) |  |

inline

Definition at line 362 of file condition_variable.

## wait_for() [3/3]

template<class _Lock , class _Rep , class _Period , class _Predicate >

bool std::condition_variable_any::wait_for | ( | _Lock & | __lock,
|  | stop_token | __stoken,
|  | const chrono::duration< _Rep, _Period > & | __rel_time,
|  | _Predicate | __p
| ) |  |

inline

Definition at line 431 of file condition_variable.

## wait_until() [1/3]

template<typename _Lock , typename _Clock , typename _Duration >

cv_status std::condition_variable_any::wait_until | ( | _Lock & | __lock,
|  | const chrono::time_point< _Clock, _Duration > & | __atime
| ) |  |

inline

Definition at line 329 of file condition_variable.

## wait_until() [2/3]

template<typename _Lock , typename _Clock , typename _Duration , typename _Predicate >

bool std::condition_variable_any::wait_until | ( | _Lock & | __lock,
|  | const chrono::time_point< _Clock, _Duration > & | __atime,
|  | _Predicate | __p
| ) |  |

inline

Definition at line 344 of file condition_variable.

## wait_until() [3/3]

template<class _Lock , class _Clock , class _Duration , class _Predicate >

bool std::condition_variable_any::wait_until | ( | _Lock & | __lock,
|  | stop_token | __stoken,
|  | const chrono::time_point< _Clock, _Duration > & | __abs_time,
|  | _Predicate | __p
| ) |  |

inline

Definition at line 396 of file condition_variable.

The documentation for this class was generated from the following file:

- condition_variable